### Method

# GIRepository EnumInfo get_method

since: 2.80

#### Declaration

    GIFunctionInfo*
    gi_enum_info_get_method (
      GIEnumInfo* info,
      unsigned int n
    )

#### Description

Obtain an enum type method at index `n`.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of method to get.

#### Return value

Type: `GIFunctionInfo`

The `GIFunctionInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the data, and is responsible for freeing it.